<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
          integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.2.6/semantic.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.15/css/dataTables.semanticui.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.2.0/jquery-confirm.min.css">
    <style>
        .taskTable {
            margin: 20px auto;
            width: 90%;
        }

        .p-m-t-20 {
            margin-top: 20px;
        }

        #Add {
            width: 95%;
            margin: 0px auto;
        }

        .icon {
            margin: 0 auto;
            width: 40px;
        }


    </style>
</head>
<body>
<div class="container">
    <div class="taskTable ">
        <table id="Task" class="ui celled table" width="100%" cellspacing="0">
            <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>To</th>
                <th>Priority</th>
                <th>Ststis</th>
                <th>Point</th>
                <th></th>
            </tr>
            </thead>
            <tfoot>
            <tr>

                <th colspan="7">
                    <button id="Add" class="btn btn-success btn-block btn-lg" data-toggle="modal"
                            data-target=".modelAdd">Add Task
                    </button>
                </th>

            </tr>


            </tfoot>
            <tbody>
            <tr>
                <td>Tiger Nixon</td>
                <td>System Architect</td>
                <td>Edinburgh</td>
                <td>61</td>
                <td>2011/04/25</td>
                <td>$320,800</td>
                <td>
                    <div class="icon">
                        <i class="fa fa-trash-o fa-lg Delete"></i>
                        <i class="fa fa-cog fa-lg Edit" data-toggle="modal" data-target=".modelEdit"></i>
                    </div>
                </td>
            </tr>


            </tbody>
        </table>


    </div>
</div>

<div class="modal fade modelAdd" tabindex="-1" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title">Add Task</h4>
            </div>
            <div class="modal-body">
                <form class="form-horizontal">
                    <div class="form-group">
                        <label class="col-xs-2 control-label">Name:</label>
                        <div class="col-xs-10">
                            <input type="Text" class="form-control" name="taskName" placeholder="Task Name">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-xs-2 control-label">Employer:</label>
                        <div class="col-xs-10">
                            <select name="employerSelect" class="form-control">
                                <option value="0">3</option>
                                <option value="1">2</option>
                                <option value="2">1</option>
                                <option value="3">0</option>

                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-xs-2 control-label">Preporty:</label>
                        <div class="col-xs-4">
                            <select class="form-control" name="preporty">
                                <option></option>
                                <option value="1">very important</option>
                                <option value="2">important</option>
                                <option value="3">Not important</option>
                            </select>
                        </div>
                        <label class="col-xs-2 control-label">Point:</label>
                        <div class="col-xs-4">
                            <input type="number" class="form-control" min="1" max="10">
                        </div>

                    </div>
                    <div class="form-group">
                        <label class="col-xs-2 control-label">Description:</label>
                        <div class=" col-xs-10">
                            <textarea class="form-control" rows="4" name="description"></textarea>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary addTask">Add Task</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade modelEdit" tabindex="-1" role="dialog">
    <div class="modal-dialog ">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title">Edit Task</h4>
            </div>
            <div class="modal-body">
                <form class="form-horizontal">
                    <div class="form-group">
                        <label class="col-xs-2 control-label">Name:</label>
                        <div class="col-xs-10">
                            <input type="Text" class="form-control" name="taskName" placeholder="Task Name">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-xs-2 control-label">Employer:</label>
                        <div class="col-xs-10">
                            <select name="employerSelect" class="form-control">
                                <option></option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-xs-2 control-label">Preporty:</label>
                        <div class="col-xs-4">
                            <select class="form-control" name="preporty">
                                <option></option>
                                <option value="1">very important</option>
                                <option value="2">important</option>
                                <option value="3">Not important</option>
                            </select>
                        </div>
                        <label class="col-xs-2 control-label">Point:</label>
                        <div class="col-xs-4">
                            <input type="number" class="form-control" min="1" max="10">
                        </div>

                    </div>
                    <div class="form-group">
                        <label class="col-xs-2 control-label">Description:</label>
                        <div class=" col-xs-10">
                            <textarea class="form-control" rows="4" name="description"></textarea>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary EditBtn">Edit Task</button>
            </div>
        </div>
    </div>
</div>


<script
        src="https://code.jquery.com/jquery-3.2.1.js"
        integrity="sha256-DZAnKJ/6XZ9si04Hgrsxu/8s717jcIzLy3oi35EouyE="
        crossorigin="anonymous"></script>
<script src="https://cdn.datatables.net/1.10.15/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.15/js/dataTables.semanticui.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.2.6/semantic.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.2.0/jquery-confirm.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
        integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
        crossorigin="anonymous"></script>
<script>
    var page = {
        confirm: function (title, text, classBtn, actionDo) {
            $.confirm({
                title: title,
                content: text,
                buttons: {
                    No: {},
                    Yes: {
                        btnClass: classBtn,
                        action: function () {
                            actionDo();
                        }


                    }
                }
            });
        },
        Delete: function () {
            var data = table.row($(this).parents('tr')).data();
            var My = $(this);
            page.confirm("Delete", "are you sure!", "btn-primary", function () {
                console.log(data);
                table.row(My.parents('tr')).remove().draw();

            });


        },
        Add: function () {

            page.confirm("Add Tack", "are you sure!", "btn-primary", function () {
                var name = $(".modelAdd input[name='taskName']").val();
                var employee = $(".modelAdd select[name='employerSelect'] option:selected").text();
                var Preporty = $(".modelAdd select[name='preporty'] option:selected").text();
                var Point = $(".modelAdd input[type='number']").val();
                var status = "Not completed";
                var Description = $(".modelAdd textarea").val();
                var icon = '<div class="icon"> ' +
                    '<i class="fa fa-trash-o fa-lg Delete"></i> ' +
                    '<i class="fa fa-cog fa-lg Edit" data-toggle="modal" data-target=".modelEdit"></i> ' +
                    '</div>'
                var arr = ['1', name, employee, Preporty, status, Point, icon];
                table.row.add(arr).draw(false);
                $(".close").trigger("click");
                console.log(arr)
            })

        },
        Edit: function () {
            page.confirm('Edit Task', 'are you sure!', 'btn-primary', function () {
                data[1] =$(".modelEdit input[name='taskName']").val() ;
                data[2] = $(".modelEdit select[name='employerSelect'] option:selected").text();
                data[3] = $(".modelEdit select[name='preporty'] option:selected").text();
                data[5] = $(".modelEdit input[type='number']").val();
                table.row( My.parents('tr') ).data(data ).draw();
                $(".close").trigger("click");
            })

        },
        EditFormInit:function () {
            data = table.row($(this).parents('tr')).data();
            My = $(this);
            $(".modelEdit input[name='taskName']").val(data[1]);
            $(".modelEdit select[name='employerSelect'] option:selected").text(data[2]);
            $(".modelEdit select[name='preporty'] option:selected").text(data[3]);
            $(".modelEdit input[type='number']").val(data[5]);
            var Description = "56566556565656655555";
            $(".modelEdit textarea").val(Description)


        },
        initTable:function(ArrayOpj)
        {
            for(var i=0,j=ArrayOpj.length;i<j;i++)
            {
                table.row.add(ArrayOpj[i]).draw(false);
            }
        },

        init: function () {
            table = $('#Task').DataTable({
                "columnDefs": [
                    {
                        "targets": [0],
                        "visible": false,
                    }
                ],

            });
            $('#Task tbody').on('click', '.Delete', page.Delete)
            $('.modelEdit').on('click', '.EditBtn', page.Edit)
            $(".addTask").on('click', page.Add)
            $('#Task tbody').on('click', '.Edit', page.EditFormInit);
        }
    }
    $(document).ready(function () {
        page.init();


    });
</script>
</body>
</html>